import { ay as ReactExport, D as jsxRuntimeExports, am as reactExports, av as Button, z as helper, ao as Select, ap as SelectTrigger, aq as SelectValue, ar as SelectContent, as as SelectGroup, au as SelectItem, I as Input, a_ as wellKnownGenesisHashByChainId, a$ as AccordionItem, b0 as AccordionTrigger, b1 as AccordionContent, b2 as Separator, aw as Link, b3 as useActiveChains, b4 as Accordion } from "./walletPopup-C3DYF3W4.js";
import { S as Skeleton } from "./skeleton-BXW2s0oJ.js";
import "./modulepreload-polyfill-DaKOjhqt.js";
var DefaultContext = {
  color: void 0,
  size: void 0,
  className: void 0,
  style: void 0,
  attr: void 0
};
var IconContext = ReactExport.createContext && /* @__PURE__ */ ReactExport.createContext(DefaultContext);
var _excluded = ["attr", "size", "title"];
function _objectWithoutProperties(source, excluded) {
  if (source == null) return {};
  var target = _objectWithoutPropertiesLoose(source, excluded);
  var key, i;
  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
    for (i = 0; i < sourceSymbolKeys.length; i++) {
      key = sourceSymbolKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
      target[key] = source[key];
    }
  }
  return target;
}
function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  for (var key in source) {
    if (Object.prototype.hasOwnProperty.call(source, key)) {
      if (excluded.indexOf(key) >= 0) continue;
      target[key] = source[key];
    }
  }
  return target;
}
function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
function ownKeys(e, r) {
  var t = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var o = Object.getOwnPropertySymbols(e);
    r && (o = o.filter(function(r2) {
      return Object.getOwnPropertyDescriptor(e, r2).enumerable;
    })), t.push.apply(t, o);
  }
  return t;
}
function _objectSpread(e) {
  for (var r = 1; r < arguments.length; r++) {
    var t = null != arguments[r] ? arguments[r] : {};
    r % 2 ? ownKeys(Object(t), true).forEach(function(r2) {
      _defineProperty(e, r2, t[r2]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function(r2) {
      Object.defineProperty(e, r2, Object.getOwnPropertyDescriptor(t, r2));
    });
  }
  return e;
}
function _defineProperty(obj, key, value) {
  key = _toPropertyKey(key);
  if (key in obj) {
    Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
  } else {
    obj[key] = value;
  }
  return obj;
}
function _toPropertyKey(t) {
  var i = _toPrimitive(t, "string");
  return "symbol" == typeof i ? i : i + "";
}
function _toPrimitive(t, r) {
  if ("object" != typeof t || !t) return t;
  var e = t[Symbol.toPrimitive];
  if (void 0 !== e) {
    var i = e.call(t, r);
    if ("object" != typeof i) return i;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return ("string" === r ? String : Number)(t);
}
function Tree2Element(tree) {
  return tree && tree.map((node, i) => /* @__PURE__ */ ReactExport.createElement(node.tag, _objectSpread({
    key: i
  }, node.attr), Tree2Element(node.child)));
}
function GenIcon(data) {
  return (props) => /* @__PURE__ */ ReactExport.createElement(IconBase, _extends({
    attr: _objectSpread({}, data.attr)
  }, props), Tree2Element(data.child));
}
function IconBase(props) {
  var elem = (conf) => {
    var {
      attr,
      size,
      title: title2
    } = props, svgProps = _objectWithoutProperties(props, _excluded);
    var computedSize = size || conf.size || "1em";
    var className;
    if (conf.className) className = conf.className;
    if (props.className) className = (className ? className + " " : "") + props.className;
    return /* @__PURE__ */ ReactExport.createElement("svg", _extends({
      stroke: "currentColor",
      fill: "currentColor",
      strokeWidth: "0"
    }, conf.attr, attr, svgProps, {
      className,
      style: _objectSpread(_objectSpread({
        color: props.color || conf.color
      }, conf.style), props.style),
      height: computedSize,
      width: computedSize,
      xmlns: "http://www.w3.org/2000/svg"
    }), title2 && /* @__PURE__ */ ReactExport.createElement("title", null, title2), props.children);
  };
  return IconContext !== void 0 ? /* @__PURE__ */ ReactExport.createElement(IconContext.Consumer, null, (conf) => elem(conf)) : elem(DefaultContext);
}
function MdDeleteOutline(props) {
  return GenIcon({ "attr": { "viewBox": "0 0 24 24" }, "child": [{ "tag": "path", "attr": { "fill": "none", "d": "M0 0h24v24H0V0z" }, "child": [] }, { "tag": "path", "attr": { "d": "M6 19c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7H6v12zM8 9h8v10H8V9zm7.5-5-1-1h-5l-1 1H5v2h14V4z" }, "child": [] }] })(props);
}
function MdOutlineOnlinePrediction(props) {
  return GenIcon({ "attr": { "viewBox": "0 0 24 24" }, "child": [{ "tag": "path", "attr": { "fill": "none", "d": "M0 0h24v24H0z" }, "child": [] }, { "tag": "path", "attr": { "d": "M15.5 11.5c0 2-2.5 3.5-2.5 5h-2c0-1.5-2.5-3-2.5-5C8.5 9.57 10.07 8 12 8s3.5 1.57 3.5 3.5zm-2.5 6h-2V19h2v-1.5zm9-5.5c0-2.76-1.12-5.26-2.93-7.07l-1.06 1.06A8.481 8.481 0 0 1 20.5 12c0 2.34-.95 4.47-2.49 6.01l1.06 1.06A9.969 9.969 0 0 0 22 12zM3.5 12c0-2.34.95-4.47 2.49-6.01L4.93 4.93A9.969 9.969 0 0 0 2 12c0 2.76 1.12 5.26 2.93 7.07l1.06-1.06A8.481 8.481 0 0 1 3.5 12zm14 0c0 1.52-.62 2.89-1.61 3.89l1.06 1.06A6.976 6.976 0 0 0 19 12c0-1.93-.78-3.68-2.05-4.95l-1.06 1.06c.99 1 1.61 2.37 1.61 3.89zM7.05 16.95l1.06-1.06c-1-1-1.61-2.37-1.61-3.89s.62-2.89 1.61-3.89L7.05 7.05A6.976 6.976 0 0 0 5 12c0 1.93.78 3.68 2.05 4.95z" }, "child": [] }] })(props);
}
function MdOutlineNetworkCell(props) {
  return GenIcon({ "attr": { "viewBox": "0 0 24 24" }, "child": [{ "tag": "path", "attr": { "fill": "none", "d": "M0 0h24v24H0V0z" }, "child": [] }, { "tag": "path", "attr": { "d": "M2 22h20V2L2 22zm18-2h-3V9.83l3-3V20z" }, "child": [] }] })(props);
}
function MdOutlineGridView(props) {
  return GenIcon({ "attr": { "viewBox": "0 0 24 24" }, "child": [{ "tag": "path", "attr": { "fill": "none", "d": "M0 0h24v24H0z" }, "child": [] }, { "tag": "path", "attr": { "d": "M3 3v8h8V3H3zm6 6H5V5h4v4zm-6 4v8h8v-8H3zm6 6H5v-4h4v4zm4-16v8h8V3h-8zm6 6h-4V5h4v4zm-6 4v8h8v-8h-8zm6 6h-4v-4h4v4z" }, "child": [] }] })(props);
}
const version = "0.0.27";
const pckg = {
  version
};
function FaGithub(props) {
  return GenIcon({ "attr": { "viewBox": "0 0 496 512" }, "child": [{ "tag": "path", "attr": { "d": "M165.9 397.4c0 2-2.3 3.6-5.2 3.6-3.3.3-5.6-1.3-5.6-3.6 0-2 2.3-3.6 5.2-3.6 3-.3 5.6 1.3 5.6 3.6zm-31.1-4.5c-.7 2 1.3 4.3 4.3 4.9 2.6 1 5.6 0 6.2-2s-1.3-4.3-4.3-5.2c-2.6-.7-5.5.3-6.2 2.3zm44.2-1.7c-2.9.7-4.9 2.6-4.6 4.9.3 2 2.9 3.3 5.9 2.6 2.9-.7 4.9-2.6 4.6-4.6-.3-1.9-3-3.2-5.9-2.9zM244.8 8C106.1 8 0 113.3 0 252c0 110.9 69.8 205.8 169.5 239.2 12.8 2.3 17.3-5.6 17.3-12.1 0-6.2-.3-40.4-.3-61.4 0 0-70 15-84.7-29.8 0 0-11.4-29.1-27.8-36.6 0 0-22.9-15.7 1.6-15.4 0 0 24.9 2 38.6 25.8 21.9 38.6 58.6 27.5 72.9 20.9 2.3-16 8.8-27.1 16-33.7-55.9-6.2-112.3-14.3-112.3-110.5 0-27.5 7.6-41.3 23.6-58.9-2.6-6.5-11.1-33.3 2.6-67.9 20.9-6.5 69 27 69 27 20-5.6 41.5-8.5 62.8-8.5s42.8 2.9 62.8 8.5c0 0 48.1-33.6 69-27 13.7 34.7 5.2 61.4 2.6 67.9 16 17.7 25.8 31.5 25.8 58.9 0 96.5-58.9 104.2-114.8 110.5 9.2 7.9 17 22.9 17 46.4 0 33.7-.3 75.4-.3 83.6 0 6.5 4.6 14.4 17.3 12.1C428.2 457.8 496 362.9 496 252 496 113.3 383.5 8 244.8 8zM97.2 352.9c-1.3 1-1 3.3.7 5.2 1.6 1.6 3.9 2.3 5.2 1 1.3-1 1-3.3-.7-5.2-1.6-1.6-3.9-2.3-5.2-1zm-10.8-8.1c-.7 1.3.3 2.9 2.3 3.9 1.6 1 3.6.7 4.3-.7.7-1.3-.3-2.9-2.3-3.9-2-.6-3.6-.3-4.3.7zm32.4 35.6c-1.6 1.3-1 4.3 1.3 6.2 2.3 2.3 5.2 2.6 6.5 1 1.3-1.3.7-4.3-1.3-6.2-2.2-2.3-5.2-2.6-6.5-1zm-11.4-14.7c-1.6 1-1.6 3.6 0 5.9 1.6 2.3 4.3 3.3 5.6 2.3 1.6-1.3 1.6-3.9 0-6.2-1.4-2.3-4-3.3-5.6-2z" }, "child": [] }] })(props);
}
async function getDefaultBootnodes(chain) {
  var _a;
  if (["casper_staging_testnet"].includes(chain)) {
    const bootNodes = (_a = await (await fetch(chrome.runtime.getURL(`./chainspecs/${chain}.json`))).json()) == null ? void 0 : _a.bootNodes;
    return bootNodes;
  }
  return void 0;
}
async function get(entry) {
  return new Promise((resolve) => {
    const key = keyOf(entry);
    chrome.storage.local.get([key], (res) => resolve(res[key]));
  });
}
async function set(entry, value) {
  return new Promise((resolve) => {
    const key = keyOf(entry);
    chrome.storage.local.set({ [key]: value }, () => resolve());
  });
}
function keyOf(entry) {
  switch (entry.type) {
    case "braveSetting":
      return "braveSetting";
  }
}
const HeaderIcon = (props) => /* @__PURE__ */ jsxRuntimeExports.jsxs("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 722.49 211.56", children: [
  /* @__PURE__ */ jsxRuntimeExports.jsx("defs", { children: /* @__PURE__ */ jsxRuntimeExports.jsx("style", { children: `
                .uuid-78f6a6af-10fe-4831-9ced-7187d1432e48 {
                    isolation: isolate;
                }

                .uuid-268138db-7fdf-4ed3-88f2-b8d32bba180e {
                    mix-blend-mode: color-burn;
                }` }) }),
  /* @__PURE__ */ jsxRuntimeExports.jsx("g", { class: "uuid-78f6a6af-10fe-4831-9ced-7187d1432e48", children: /* @__PURE__ */ jsxRuntimeExports.jsx("g", { id: "uuid-c93f97e5-2f4a-47f0-9a31-d2f07858ae05", "data-name": "Layer 2", children: /* @__PURE__ */ jsxRuntimeExports.jsxs("g", { id: "uuid-441c66b0-dfc2-459a-90e6-28d9bd55620b", "data-name": "ghostWallet", children: [
    /* @__PURE__ */ jsxRuntimeExports.jsxs("g", { id: "uuid-e61fd7bf-260d-4b17-b1fb-bb8f42140ffa", "data-name": "Wallet", children: [
      /* @__PURE__ */ jsxRuntimeExports.jsxs("g", { children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m499.19,76.35c1.07,3.6,2.2,7.35,3.4,11.25,1.2,3.9,2.45,7.8,3.75,11.7,1.3,3.9,2.6,7.73,3.9,11.5,1.3,3.77,2.55,7.32,3.75,10.65,1-3.6,1.97-7.52,2.9-11.75.93-4.23,1.87-8.63,2.8-13.2.93-4.57,1.85-9.22,2.75-13.95.9-4.73,1.75-9.4,2.55-14h13c-2.33,12.53-4.93,24.58-7.79,36.15-2.86,11.57-6.06,22.62-9.59,33.15h-12.12c-5.17-13.47-10.17-28.17-15-44.1-2.47,8.07-4.97,15.73-7.51,23-2.54,7.27-5.07,14.3-7.61,21.1h-12.02c-3.59-10.53-6.8-21.58-9.63-33.15-2.83-11.57-5.4-23.62-7.73-36.15h13.5c.8,4.53,1.65,9.17,2.55,13.9.9,4.73,1.83,9.38,2.8,13.95.97,4.57,1.95,8.98,2.95,13.25,1,4.27,2,8.2,3,11.8,1.27-3.4,2.55-6.98,3.85-10.75,1.3-3.77,2.58-7.6,3.85-11.5,1.27-3.9,2.48-7.78,3.65-11.65,1.17-3.87,2.25-7.6,3.25-11.2h10.8Z" }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m557.79,84.25c4,0,7.37.5,10.1,1.5,2.73,1,4.92,2.4,6.55,4.2,1.63,1.8,2.8,3.98,3.5,6.55.7,2.57,1.05,5.38,1.05,8.45v31.7c-1.87.4-4.68.88-8.45,1.45-3.77.57-8.02.85-12.75.85-3.13,0-6-.3-8.6-.9-2.6-.6-4.82-1.57-6.65-2.9-1.83-1.33-3.27-3.07-4.3-5.2-1.03-2.13-1.55-4.77-1.55-7.9s.58-5.53,1.75-7.6c1.17-2.07,2.75-3.75,4.75-5.05,2-1.3,4.32-2.23,6.95-2.8,2.63-.57,5.38-.85,8.25-.85,1.33,0,2.73.08,4.2.25,1.46.17,3.03.45,4.7.85v-2c0-1.4-.17-2.73-.5-4-.33-1.27-.92-2.38-1.75-3.35-.83-.97-1.93-1.72-3.3-2.25-1.37-.53-3.08-.8-5.15-.8-2.8,0-5.37.2-7.7.6-2.33.4-4.23.87-5.7,1.4l-1.5-9.8c1.53-.53,3.77-1.07,6.7-1.6,2.93-.53,6.07-.8,9.4-.8Zm1,45.1c3.73,0,6.57-.2,8.5-.6v-13.4c-.67-.2-1.63-.4-2.9-.6-1.27-.2-2.67-.3-4.2-.3-1.33,0-2.68.1-4.05.3-1.37.2-2.6.57-3.7,1.1-1.1.53-1.98,1.28-2.65,2.25-.67.97-1,2.18-1,3.65,0,2.87.9,4.85,2.7,5.95s4.23,1.65,7.3,1.65Z" }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m606.99,138.85c-3.6-.07-6.58-.47-8.95-1.2-2.37-.73-4.25-1.78-5.65-3.15-1.4-1.37-2.38-3.07-2.95-5.1-.57-2.03-.85-4.35-.85-6.95v-60.2l12.1-2v59.9c0,1.47.12,2.7.35,3.7.23,1,.65,1.85,1.25,2.55.6.7,1.42,1.23,2.45,1.6,1.03.37,2.35.65,3.95.85l-1.7,10Z" }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m631.69,138.85c-3.6-.07-6.58-.47-8.95-1.2-2.37-.73-4.25-1.78-5.65-3.15-1.4-1.37-2.38-3.07-2.95-5.1-.57-2.03-.85-4.35-.85-6.95v-60.2l12.1-2v59.9c0,1.47.12,2.7.35,3.7.23,1,.65,1.85,1.25,2.55.6.7,1.42,1.23,2.45,1.6,1.03.37,2.35.65,3.95.85l-1.7,10Z" }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m635.29,111.95c0-4.6.68-8.63,2.05-12.1,1.37-3.47,3.18-6.35,5.45-8.65,2.27-2.3,4.87-4.03,7.8-5.2,2.93-1.17,5.93-1.75,9-1.75,7.2,0,12.82,2.23,16.85,6.7,4.03,4.47,6.05,11.13,6.05,20,0,.67-.02,1.42-.05,2.25-.03.83-.08,1.58-.15,2.25h-34.5c.33,4.2,1.82,7.45,4.45,9.75,2.63,2.3,6.45,3.45,11.45,3.45,2.93,0,5.62-.27,8.05-.8,2.43-.53,4.35-1.1,5.75-1.7l1.6,9.9c-.67.33-1.58.68-2.75,1.05-1.17.37-2.5.7-4,1s-3.12.55-4.85.75c-1.73.2-3.5.3-5.3.3-4.6,0-8.6-.68-12-2.05-3.4-1.37-6.2-3.27-8.4-5.7-2.2-2.43-3.83-5.3-4.9-8.6-1.07-3.3-1.6-6.92-1.6-10.85Zm35.1-5.4c0-1.67-.23-3.25-.7-4.75-.47-1.5-1.15-2.8-2.05-3.9-.9-1.1-2-1.97-3.3-2.6-1.3-.63-2.85-.95-4.65-.95s-3.5.35-4.9,1.05c-1.4.7-2.58,1.62-3.55,2.75-.97,1.13-1.72,2.43-2.25,3.9-.53,1.47-.9,2.97-1.1,4.5h22.5Z" }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m689.69,71.75l12.1-2v15.8h18.6v10.1h-18.6v21.3c0,4.2.67,7.2,2,9,1.33,1.8,3.6,2.7,6.8,2.7,2.2,0,4.15-.23,5.85-.7,1.7-.47,3.05-.9,4.05-1.3l2,9.6c-1.4.6-3.23,1.22-5.5,1.85-2.27.63-4.93.95-8,.95-3.73,0-6.85-.5-9.35-1.5s-4.48-2.45-5.95-4.35c-1.47-1.9-2.5-4.2-3.1-6.9-.6-2.7-.9-5.78-.9-9.25v-45.3Z" })
      ] }),
      /* @__PURE__ */ jsxRuntimeExports.jsxs("g", { children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m499.19,76.35c1.07,3.6,2.2,7.35,3.4,11.25,1.2,3.9,2.45,7.8,3.75,11.7,1.3,3.9,2.6,7.73,3.9,11.5,1.3,3.77,2.55,7.32,3.75,10.65,1-3.6,1.97-7.52,2.9-11.75.93-4.23,1.87-8.63,2.8-13.2.93-4.57,1.85-9.22,2.75-13.95.9-4.73,1.75-9.4,2.55-14h13c-2.33,12.53-4.93,24.58-7.79,36.15-2.86,11.57-6.06,22.62-9.59,33.15h-12.12c-5.17-13.47-10.17-28.17-15-44.1-2.47,8.07-4.97,15.73-7.51,23-2.54,7.27-5.07,14.3-7.61,21.1h-12.02c-3.59-10.53-6.8-21.58-9.63-33.15-2.83-11.57-5.4-23.62-7.73-36.15h13.5c.8,4.53,1.65,9.17,2.55,13.9.9,4.73,1.83,9.38,2.8,13.95.97,4.57,1.95,8.98,2.95,13.25,1,4.27,2,8.2,3,11.8,1.27-3.4,2.55-6.98,3.85-10.75,1.3-3.77,2.58-7.6,3.85-11.5,1.27-3.9,2.48-7.78,3.65-11.65,1.17-3.87,2.25-7.6,3.25-11.2h10.8Z" }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m557.79,84.25c4,0,7.37.5,10.1,1.5,2.73,1,4.92,2.4,6.55,4.2,1.63,1.8,2.8,3.98,3.5,6.55.7,2.57,1.05,5.38,1.05,8.45v31.7c-1.87.4-4.68.88-8.45,1.45-3.77.57-8.02.85-12.75.85-3.13,0-6-.3-8.6-.9-2.6-.6-4.82-1.57-6.65-2.9-1.83-1.33-3.27-3.07-4.3-5.2-1.03-2.13-1.55-4.77-1.55-7.9s.58-5.53,1.75-7.6c1.17-2.07,2.75-3.75,4.75-5.05,2-1.3,4.32-2.23,6.95-2.8,2.63-.57,5.38-.85,8.25-.85,1.33,0,2.73.08,4.2.25,1.46.17,3.03.45,4.7.85v-2c0-1.4-.17-2.73-.5-4-.33-1.27-.92-2.38-1.75-3.35-.83-.97-1.93-1.72-3.3-2.25-1.37-.53-3.08-.8-5.15-.8-2.8,0-5.37.2-7.7.6-2.33.4-4.23.87-5.7,1.4l-1.5-9.8c1.53-.53,3.77-1.07,6.7-1.6,2.93-.53,6.07-.8,9.4-.8Zm1,45.1c3.73,0,6.57-.2,8.5-.6v-13.4c-.67-.2-1.63-.4-2.9-.6-1.27-.2-2.67-.3-4.2-.3-1.33,0-2.68.1-4.05.3-1.37.2-2.6.57-3.7,1.1-1.1.53-1.98,1.28-2.65,2.25-.67.97-1,2.18-1,3.65,0,2.87.9,4.85,2.7,5.95s4.23,1.65,7.3,1.65Z" }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m606.99,138.85c-3.6-.07-6.58-.47-8.95-1.2-2.37-.73-4.25-1.78-5.65-3.15-1.4-1.37-2.38-3.07-2.95-5.1-.57-2.03-.85-4.35-.85-6.95v-60.2l12.1-2v59.9c0,1.47.12,2.7.35,3.7.23,1,.65,1.85,1.25,2.55.6.7,1.42,1.23,2.45,1.6,1.03.37,2.35.65,3.95.85l-1.7,10Z" }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m631.69,138.85c-3.6-.07-6.58-.47-8.95-1.2-2.37-.73-4.25-1.78-5.65-3.15-1.4-1.37-2.38-3.07-2.95-5.1-.57-2.03-.85-4.35-.85-6.95v-60.2l12.1-2v59.9c0,1.47.12,2.7.35,3.7.23,1,.65,1.85,1.25,2.55.6.7,1.42,1.23,2.45,1.6,1.03.37,2.35.65,3.95.85l-1.7,10Z" }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m635.29,111.95c0-4.6.68-8.63,2.05-12.1,1.37-3.47,3.18-6.35,5.45-8.65,2.27-2.3,4.87-4.03,7.8-5.2,2.93-1.17,5.93-1.75,9-1.75,7.2,0,12.82,2.23,16.85,6.7,4.03,4.47,6.05,11.13,6.05,20,0,.67-.02,1.42-.05,2.25-.03.83-.08,1.58-.15,2.25h-34.5c.33,4.2,1.82,7.45,4.45,9.75,2.63,2.3,6.45,3.45,11.45,3.45,2.93,0,5.62-.27,8.05-.8,2.43-.53,4.35-1.1,5.75-1.7l1.6,9.9c-.67.33-1.58.68-2.75,1.05-1.17.37-2.5.7-4,1s-3.12.55-4.85.75c-1.73.2-3.5.3-5.3.3-4.6,0-8.6-.68-12-2.05-3.4-1.37-6.2-3.27-8.4-5.7-2.2-2.43-3.83-5.3-4.9-8.6-1.07-3.3-1.6-6.92-1.6-10.85Zm35.1-5.4c0-1.67-.23-3.25-.7-4.75-.47-1.5-1.15-2.8-2.05-3.9-.9-1.1-2-1.97-3.3-2.6-1.3-.63-2.85-.95-4.65-.95s-3.5.35-4.9,1.05c-1.4.7-2.58,1.62-3.55,2.75-.97,1.13-1.72,2.43-2.25,3.9-.53,1.47-.9,2.97-1.1,4.5h22.5Z" }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m689.69,71.75l12.1-2v15.8h18.6v10.1h-18.6v21.3c0,4.2.67,7.2,2,9,1.33,1.8,3.6,2.7,6.8,2.7,2.2,0,4.15-.23,5.85-.7,1.7-.47,3.05-.9,4.05-1.3l2,9.6c-1.4.6-3.23,1.22-5.5,1.85-2.27.63-4.93.95-8,.95-3.73,0-6.85-.5-9.35-1.5s-4.48-2.45-5.95-4.35c-1.47-1.9-2.5-4.2-3.1-6.9-.6-2.7-.9-5.78-.9-9.25v-45.3Z" })
      ] })
    ] }),
    /* @__PURE__ */ jsxRuntimeExports.jsxs("g", { id: "uuid-13b91de4-3fc3-44cf-bfc6-f264768961b4", "data-name": "ghost", children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m258.52,132.56c0,8.33-2.12,14.43-6.35,18.3-4.23,3.87-10.72,5.8-19.45,5.8-3.2,0-6.32-.27-9.35-.8-3.03-.53-5.78-1.23-8.25-2.1l2.2-10.3c2.07.87,4.42,1.57,7.05,2.1,2.63.53,5.48.8,8.55.8,4.87,0,8.33-1,10.4-3,2.07-2,3.1-4.97,3.1-8.9v-2c-1.2.6-2.78,1.2-4.75,1.8-1.97.6-4.22.9-6.75.9-3.33,0-6.38-.53-9.15-1.6-2.77-1.07-5.13-2.63-7.1-4.7-1.97-2.07-3.5-4.65-4.6-7.75-1.1-3.1-1.65-6.68-1.65-10.75,0-3.8.58-7.3,1.75-10.5,1.17-3.2,2.87-5.93,5.1-8.2,2.23-2.27,4.95-4.03,8.15-5.3,3.2-1.27,6.83-1.9,10.9-1.9s7.67.3,11.2.9c3.53.6,6.53,1.23,9,1.9v45.3Zm-33.7-22.2c0,5.13,1.12,8.88,3.35,11.25,2.23,2.37,5.12,3.55,8.65,3.55,1.93,0,3.75-.27,5.45-.8,1.7-.53,3.08-1.17,4.15-1.9v-27.1c-.87-.2-1.93-.38-3.2-.55-1.27-.17-2.87-.25-4.8-.25-4.4,0-7.77,1.45-10.1,4.35-2.33,2.9-3.5,6.72-3.5,11.45Z" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m266.42,137.85V62.25l12.1-2v25.9c1.33-.47,2.88-.87,4.65-1.2,1.77-.33,3.52-.5,5.25-.5,4.2,0,7.68.58,10.45,1.75,2.77,1.17,4.98,2.8,6.65,4.9,1.67,2.1,2.85,4.62,3.55,7.55.7,2.93,1.05,6.2,1.05,9.8v29.4h-12.1v-27.5c0-2.8-.18-5.18-.55-7.15-.37-1.97-.97-3.57-1.8-4.8-.83-1.23-1.95-2.13-3.35-2.7-1.4-.57-3.13-.85-5.2-.85-1.6,0-3.23.17-4.9.5-1.67.33-2.9.63-3.7.9v41.6h-12.1Z" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m366.92,111.65c0,4.13-.6,7.9-1.8,11.3-1.2,3.4-2.9,6.3-5.1,8.7-2.2,2.4-4.85,4.27-7.95,5.6-3.1,1.33-6.52,2-10.25,2s-7.13-.67-10.2-2c-3.07-1.33-5.7-3.2-7.9-5.6s-3.92-5.3-5.15-8.7c-1.23-3.4-1.85-7.17-1.85-11.3s.62-7.88,1.85-11.25c1.23-3.37,2.96-6.25,5.2-8.65,2.23-2.4,4.88-4.25,7.95-5.55,3.07-1.3,6.43-1.95,10.1-1.95s7.05.65,10.15,1.95c3.1,1.3,5.75,3.15,7.95,5.55,2.2,2.4,3.92,5.29,5.15,8.65,1.23,3.37,1.85,7.12,1.85,11.25Zm-12.4,0c0-5.2-1.12-9.32-3.35-12.35-2.23-3.03-5.35-4.55-9.35-4.55s-7.12,1.52-9.35,4.55c-2.23,3.03-3.35,7.15-3.35,12.35s1.12,9.43,3.35,12.5c2.23,3.07,5.35,4.6,9.35,4.6s7.12-1.53,9.35-4.6c2.23-3.07,3.35-7.23,3.35-12.5Z" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m387.52,129.15c3.2,0,5.53-.38,7-1.15,1.47-.77,2.2-2.08,2.2-3.95,0-1.73-.78-3.17-2.35-4.3-1.57-1.13-4.15-2.37-7.75-3.7-2.2-.8-4.22-1.65-6.05-2.55-1.83-.9-3.42-1.95-4.75-3.15-1.33-1.2-2.38-2.65-3.15-4.35-.77-1.7-1.15-3.78-1.15-6.25,0-4.8,1.77-8.58,5.3-11.35,3.53-2.77,8.33-4.15,14.4-4.15,3.07,0,6,.29,8.8.85,2.8.57,4.9,1.12,6.3,1.65l-2.2,9.8c-1.33-.6-3.04-1.15-5.1-1.65-2.07-.5-4.47-.75-7.2-.75-2.47,0-4.47.42-6,1.25-1.53.83-2.3,2.12-2.3,3.85,0,.87.15,1.63.45,2.3.3.67.82,1.28,1.55,1.85.73.57,1.7,1.13,2.9,1.7,1.2.57,2.67,1.15,4.4,1.75,2.87,1.07,5.3,2.12,7.3,3.15,2,1.04,3.65,2.2,4.95,3.5s2.25,2.79,2.85,4.45c.6,1.67.9,3.67.9,6,0,5-1.85,8.78-5.55,11.35-3.7,2.57-8.98,3.85-15.85,3.85-4.6,0-8.3-.38-11.1-1.15-2.8-.77-4.77-1.38-5.9-1.85l2.1-10.1c1.8.73,3.95,1.43,6.45,2.1,2.5.67,5.35,1,8.55,1Z" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m414.52,71.75l12.1-2v15.8h18.6v10.1h-18.6v21.3c0,4.2.67,7.2,2,9,1.33,1.8,3.6,2.7,6.8,2.7,2.2,0,4.15-.23,5.85-.7,1.7-.47,3.05-.9,4.05-1.3l2,9.6c-1.4.6-3.23,1.22-5.5,1.85-2.27.63-4.93.95-8,.95-3.73,0-6.85-.5-9.35-1.5s-4.48-2.45-5.95-4.35c-1.47-1.9-2.5-4.2-3.1-6.9-.6-2.7-.9-5.78-.9-9.25v-45.3Z" })
    ] }),
    /* @__PURE__ */ jsxRuntimeExports.jsxs("g", { id: "uuid-31d568be-350a-4bf8-9ecd-aa0b82fa524a", "data-name": "Solid", children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx("path", { id: "uuid-74c4d7ce-4375-4dd5-a130-f5450bf30268", "data-name": "Inner", class: "uuid-268138db-7fdf-4ed3-88f2-b8d32bba180e", d: "m92.11,176.98c-.13,0-.27,0-.4-.02l-.36-.05-5.28-1.06-1.67-.44c-.41-.11-.79-.21-1.17-.31-.77-.2-1.53-.4-2.29-.62l-.09-.03-3.37-1.11c-4.93-1.77-9.24-3.78-13.19-6.15-8.55-5.19-15.79-12.3-20.95-20.58-5.08-8.09-8.49-17.66-9.84-27.64-.69-5.18-.85-10.17-.47-14.83.4-4.83,1.23-9.01,2.53-12.78.52-1.51,1.67-2.74,3.13-3.37,1.47-.63,3.15-.63,4.61.03,2.76,1.24,4.08,4.42,3.01,7.24-1.07,2.82-1.82,6.16-2.24,9.93-.43,3.88-.42,8.09.04,12.51.91,8.55,3.57,16.78,7.69,23.79,4.16,7.13,10.14,13.35,17.29,17.98,3.34,2.14,7.07,4.01,11.38,5.7l3.1,1.12c.63.21,1.27.39,1.9.58.4.12.81.23,1.21.36l1.5.44,5.03,1.17c1.99.56,3.21,2.49,2.9,4.6-.3,2.06-2.03,3.56-4.03,3.56Zm60.42-101.05c1.37-.81,2.34-2.17,2.67-3.73.33-1.56-.01-3.21-.94-4.51-2.62-3.69-5.84-7.07-9.55-10.03-3.98-3.2-8.44-6-13.27-8.31-9.41-4.51-19.81-6.93-30.08-6.99-5.27-.05-10.45.57-15.47,1.78-5,1.21-9.88,3.07-14.53,5.53-4.38,2.32-8.66,5.23-12.74,8.69-3.59,3.14-7.01,6.72-10.45,10.95l-.3.43c-1.02,1.7-.62,3.9.95,5.23,1.61,1.36,3.94,1.35,5.44-.03l.29-.3c3.24-3.76,6.41-6.91,9.66-9.6,3.63-2.91,7.43-5.35,11.3-7.26,4.03-1.99,8.23-3.46,12.49-4.37,4.29-.91,8.72-1.29,13.17-1.15,8.78.3,17.6,2.6,25.52,6.68,4.02,2.06,7.7,4.51,10.96,7.28,2.85,2.4,5.28,5.09,7.22,7.99,1.09,1.64,2.9,2.53,4.74,2.53,1,0,2-.26,2.92-.81Zm-33.71,101.23c8.14-2.46,15.81-6.42,22.8-11.75,7.53-5.76,13.88-12.95,18.38-20.77,4.67-8.09,7.51-17.26,8.22-26.49.72-8.52-.39-17.67-3.31-27.18l-.1-.31-.15-.29c-.93-1.81-3.03-2.66-4.99-2.02-1.98.65-3.19,2.65-2.82,4.65l.07.29c2.34,8.54,3.09,16.6,2.23,23.99-.85,7.85-3.5,15.56-7.67,22.29-4.03,6.55-9.65,12.51-16.24,17.24-5.99,4.29-12.77,7.53-19.61,9.37-2.96.79-4.78,3.87-4.05,6.86.37,1.52,1.36,2.83,2.72,3.61.87.5,1.86.75,2.85.75.56,0,1.12-.08,1.66-.25Z" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("path", { id: "uuid-3a66e28c-1db5-41c3-8097-56a1d6ecbc3c", "data-name": "Outer", class: "uuid-268138db-7fdf-4ed3-88f2-b8d32bba180e", d: "m200.31,158.83c-.09,9.87-8.19,17.83-18.06,17.74-.96,0-1.9-.09-2.81-.25-5.68,6.4-12.12,12.17-19.09,17.06-11.88,8.36-25.54,14.12-39.48,16.66-5.79,1.07-11.71,1.57-17.66,1.52-8.37-.08-16.78-1.26-24.91-3.52-12.48-3.38-25.13-9.66-37.58-18.66l-.11-.08c-1.95-1.51-2.34-4.3-.88-6.34,1.43-2.02,4.17-2.59,6.22-1.3l.1.07c11.78,7.87,23.53,13.2,34.93,15.85,12.43,2.98,25.38,3.13,37.47.44,12.06-2.66,23.75-8.1,33.82-15.74,5.47-4.14,10.51-8.91,14.97-14.13-1.75-2.79-2.75-6.09-2.71-9.62.09-9.87,8.19-17.83,18.07-17.74,9.87.09,17.83,8.19,17.74,18.07Zm-158.13-.57c-1.77-4.44-5.17-7.93-9.56-9.81-3.27-1.4-6.72-1.75-9.99-1.2-3.68-7.45-6.35-15.61-7.88-24.17-2.6-14.4-1.83-29.01,2.22-42.26,2.09-6.84,5.06-13.35,8.83-19.36,3.73-5.95,8.33-11.5,13.65-16.51,5.03-4.74,10.89-9.13,17.34-13.02,5.98-3.48,12.52-6.58,19.97-9.47l.59-.23.49-.39c1.58-1.26,2.18-3.4,1.49-5.32-.8-2.21-3.1-3.48-5.36-2.95l-.42.12c-8.04,2.82-15.13,5.92-21.75,9.49-7.27,4.07-13.88,8.71-19.62,13.78-6.19,5.45-11.59,11.58-16.05,18.2-4.54,6.74-8.19,14.1-10.84,21.87C.14,92.06-1.28,108.75,1.16,125.3c1.56,10.65,4.68,20.85,9.16,30.18-.46.74-.87,1.52-1.22,2.35-3.9,9.07.31,19.62,9.39,23.51,2.12.91,4.32,1.38,6.5,1.44,7.14.22,14.03-3.88,17.02-10.83,1.89-4.39,1.95-9.26.18-13.7Zm55.75-123.09c1.44.4,2.91.61,4.37.64,3.2.07,6.37-.73,9.23-2.35,2.92-1.67,5.25-4.07,6.82-6.95,7.24,1.49,14.46,3.9,21.38,7.19,12.16,5.82,23,14.16,31.34,24.13,8.54,10.16,14.66,22.39,17.7,35.41,2.93,12.08,3.22,25.66.87,40.35l-.05.52c-.07,2.31,1.61,4.33,3.91,4.7.22.04.44.05.66.06,1.83.04,3.52-.96,4.33-2.63l.24-.48.1-.53c3.11-15.89,3.27-30.81.5-44.31-2.92-14.81-9.39-28.93-18.71-40.82-9.1-11.67-21.11-21.6-34.75-28.72-8.45-4.37-17.37-7.59-26.38-9.58-.34-.94-.75-1.87-1.26-2.76-2.37-4.15-6.21-7.14-10.82-8.4-4.61-1.26-9.44-.66-13.59,1.71-4.15,2.37-7.14,6.21-8.4,10.82-1.26,4.61-.66,9.44,1.71,13.59,2.37,4.15,6.21,7.14,10.82,8.4Z" })
    ] }),
    /* @__PURE__ */ jsxRuntimeExports.jsxs("g", { id: "uuid-591b2e65-6fc2-422c-8835-abb238a7ba2d", "data-name": "Wallet Icon", children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m103.3,132.26c-4.84,0-8.8-3.96-8.8-8.8v-22.41c0-4.84,3.96-8.8,8.8-8.8h30.04c-1.67-4.82-6.25-8.31-11.62-8.31h-45.37c-6.77,0-12.31,5.54-12.31,12.31v31.37c0,6.77,5.54,12.31,12.31,12.31h45.37c5.14,0,9.56-3.19,11.4-7.69h-29.82Z" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m132.49,96.24h-25.96c-3.88,0-7.05,3.17-7.05,7.05v17.95c0,3.88,3.17,7.05,7.05,7.05h25.96c3.88,0,7.05-3.17,7.05-7.05v-17.95c0-3.88-3.17-7.05-7.05-7.05Zm-23.45,20.71c-2.49,0-4.5-2.01-4.5-4.5s2.01-4.5,4.5-4.5,4.5,2.01,4.5,4.5-2.01,4.5-4.5,4.5Z" })
    ] })
  ] }) }) })
] });
const Logo = ({ cName: cName2 }) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: cName2, children: /* @__PURE__ */ jsxRuntimeExports.jsx(HeaderIcon, {}) });
};
const MenuContent = ({ children }) => /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "flex flex-col w-full min-w-0 mb-6 break-words rounded", children: /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "flex-auto px-4 py-5", children: /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "tab-content tab-space", children: /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "block", children }) }) }) });
const openInNewTab = (url) => {
  const newWindow = window.open(url, "_blank", "noopener,noreferrer");
  if (newWindow) newWindow.opener = null;
};
const BraveModal = ({ show, isOptions }) => {
  const [showModal, setShowModal] = reactExports.useState(show);
  reactExports.useEffect(() => {
    setShowModal(show);
  }, [show]);
  return /* @__PURE__ */ jsxRuntimeExports.jsx(
    "div",
    {
      id: "defaultModal",
      className: `${isOptions ? "absolute " : ""} ${showModal ? "" : "hidden "}overflow-y-auto overflow-x-hidden fixed bottom-0 right-0 left-0 z-50 w-full h-modal`,
      children: /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "relative w-full h-full md:h-auto", children: /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "border-2 border-solid relative bg-muted shadow rounded-t-lg", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "flex justify-between items-center py-2 px-4 rounded-t", children: [
          /* @__PURE__ */ jsxRuntimeExports.jsx("h5", { className: "text-base font-semibold text-accent", children: "Attention Brave Users" }),
          /* @__PURE__ */ jsxRuntimeExports.jsxs(
            Button,
            {
              size: "icon",
              variant: "ghost",
              type: "button",
              onClick: () => setShowModal(false),
              children: [
                /* @__PURE__ */ jsxRuntimeExports.jsx(
                  "svg",
                  {
                    "aria-hidden": "true",
                    className: "w-3 h-3",
                    fill: "currentColor",
                    viewBox: "0 0 20 20",
                    xmlns: "http://www.w3.org/2000/svg",
                    children: /* @__PURE__ */ jsxRuntimeExports.jsx(
                      "path",
                      {
                        fillRule: "evenodd",
                        d: "M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z",
                        clipRule: "evenodd"
                      }
                    )
                  }
                ),
                /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sr-only", children: "Close modal" })
              ]
            }
          )
        ] }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "py-2 px-4 space-y-2", children: /* @__PURE__ */ jsxRuntimeExports.jsxs("p", { className: "text-xs leading-relaxed text-primary", children: [
          "Due to a",
          " ",
          /* @__PURE__ */ jsxRuntimeExports.jsx(
            "a",
            {
              rel: "noreferrer",
              target: "_blank",
              className: "font-bold underline hover:text-accent",
              href: "https://github.com/brave/brave-browser/issues/19990",
              children: "recent Brave update (1.36.109)"
            }
          ),
          ", some results may not display correctly. Disabling, in Brave settings, the",
          " ",
          /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "font-bold", children: " Restrict Websocket Pool " }),
          "flag and restart browser will help."
        ] }) }),
        /* @__PURE__ */ jsxRuntimeExports.jsxs(
          "div",
          {
            className: `${isOptions ? "justify-start" : "justify-between"}" flex pt-2 pb-4 px-4 space-x-2 border-gray-200 dark:border-gray-600"`,
            children: [
              /* @__PURE__ */ jsxRuntimeExports.jsx(
                Button,
                {
                  variant: "default",
                  size: "sm",
                  type: "button",
                  onClick: () => {
                    setShowModal(false);
                    set({ type: "braveSetting" }, true);
                  },
                  children: "Dismiss"
                }
              ),
              /* @__PURE__ */ jsxRuntimeExports.jsx(
                Button,
                {
                  variant: "default",
                  size: "sm",
                  onClick: () => openInNewTab("https://github.com/brave/brave-browser/issues/19990"),
                  type: "button",
                  children: "Learn More"
                }
              )
            ]
          }
        )
      ] }) })
    }
  );
};
const IconWeb3 = ({
  children,
  isWellKnown
}) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: isWellKnown && children ? /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx(MdOutlineGridView, {}),
    /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "flex items-center text-xl icon", children })
  ] }) : /* @__PURE__ */ jsxRuntimeExports.jsx(MdOutlineGridView, {}) });
};
const getBootNodes = async (chainId) => {
  var _a;
  return ((_a = (await helper.getChains()).find(
    ({ genesisHash }) => genesisHash === wellKnownGenesisHashByChainId[chainId]
  )) == null ? void 0 : _a.bootNodes) ?? [];
};
const setBootNodes = async (chainId, bootNodes) => helper.setBootNodes(wellKnownGenesisHashByChainId[chainId], bootNodes);
const saveToLocalStorage = async (chainName, bootnode, add, def) => {
  if (def.length === 0) throw new Error("Default Bootnodes should exist.");
  let res;
  const chainBootnodes = await getBootNodes(chainName);
  res = chainBootnodes && Object.keys(chainBootnodes).length > 0 ? [...chainBootnodes] : [...def];
  add ? res.push(bootnode) : res.splice(res.indexOf(bootnode), 1);
  await setBootNodes(chainName, res);
};
const Bootnodes = () => {
  const [selectedChain, setSelectedChain] = reactExports.useState("casper_staging_testnet");
  const [defaultBn, setDefaultBn] = reactExports.useState([]);
  const [customBn, setCustomBn] = reactExports.useState([]);
  const [customBnInput, setCustomBnInput] = reactExports.useState("");
  const [selectedChainDefaultBn, setSelectedChainDefaultBn] = reactExports.useState([]);
  const [addMessage, setAddMessage] = reactExports.useState(void 0);
  const [bootnodeMsgClass, setBootnodeMsgClass] = reactExports.useState();
  reactExports.useEffect(() => {
    if (addMessage && !(addMessage == null ? void 0 : addMessage.error)) {
      setBootnodeMsgClass("pb-2 text-accent");
      setCustomBnInput("");
    } else {
      setBootnodeMsgClass("pb-2 text-destructive");
    }
  }, [addMessage]);
  reactExports.useEffect(() => {
    Promise.all([
      getBootNodes(selectedChain),
      getDefaultBootnodes(selectedChain)
    ]).then(([bootnodes, defaultBootnodes]) => {
      console.assert(defaultBootnodes, `Invalid chain name: ${selectedChain}`);
      defaultBootnodes ?? (defaultBootnodes = []);
      setSelectedChainDefaultBn(defaultBootnodes);
      const tmpDef = [];
      const tmpCust = [];
      if (!(bootnodes == null ? void 0 : bootnodes.length)) {
        setBootNodes(selectedChain, defaultBootnodes);
        defaultBootnodes.forEach((b) => {
          tmpDef.push({ bootnode: b, checked: true });
        });
      } else {
        bootnodes == null ? void 0 : bootnodes.forEach((b) => {
          (defaultBootnodes == null ? void 0 : defaultBootnodes.length) && (defaultBootnodes == null ? void 0 : defaultBootnodes.includes(b)) ? tmpDef.push({ bootnode: b, checked: true }) : tmpCust.push({ bootnode: b, checked: true });
        });
      }
      setDefaultBn(tmpDef);
      setCustomBn(tmpCust);
    });
  }, [selectedChain]);
  const checkMultiAddr = (addr) => {
    const ws = /\/(ip4|ip6|dns4|dns6|dns)\/([a-zA-Z0-9.-]+)\/tcp\/[0-9]{1,5}(\/(ws|wss|tls\/ws))?\/p2p\/[a-zA-Z1-9^Il0O]+/i;
    const webrtc = /\/(ip4|ip6)\/(.*?)\/udp\/(.*?)\/webrtc\/certhash\/(.*?)\/p2p\/[a-zA-Z1-9^Il0O]+/i;
    if (!ws.test(addr) && !webrtc.test(addr))
      throw new Error("Provided multiaddress is not correct.");
  };
  const alterBootnodes = async (bootnode, add, defaultBootnode) => {
    try {
      if (!defaultBootnode) {
        checkMultiAddr(customBnInput);
      }
      if ((selectedChainDefaultBn == null ? void 0 : selectedChainDefaultBn.includes(customBnInput)) || customBn.map((c) => c.bootnode).includes(customBnInput)) {
        setAddMessage({ error: true, message: "Bootnode already exists in the list." });
      } else {
        await saveToLocalStorage(
          selectedChain,
          bootnode,
          add,
          selectedChainDefaultBn
        );
      }
      const tmp = defaultBootnode ? [...defaultBn] : [...customBn];
      const i = tmp.findIndex((b) => b.bootnode === bootnode);
      if (i !== -1) {
        tmp[i].checked = add;
      } else {
        tmp.push({ bootnode, checked: true });
      }
      defaultBootnode ? setDefaultBn(tmp) : setCustomBn(tmp);
      setCustomBnInput("");
    } catch (err) {
      setAddMessage({ error: true, message: err.message.replace(/^\w/, (c) => c.toUpperCase()) });
    }
  };
  return /* @__PURE__ */ jsxRuntimeExports.jsxs("section", { className: "container", children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx("h2", { className: "pb-2 space-y-2 text-3xl font-semibold md:pb-4", children: "Networks" }),
    /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "p-4 bg-muted rounded", children: [
      /* @__PURE__ */ jsxRuntimeExports.jsxs(
        Select,
        {
          onValueChange: (networkName) => {
            setSelectedChain(networkName);
            setCustomBnInput("");
            setAddMessage(void 0);
          },
          name: selectedChain,
          value: selectedChain,
          children: [
            /* @__PURE__ */ jsxRuntimeExports.jsx(SelectTrigger, { className: "sm:w-[250px] w-[100%]", "data-testid": "scheme-select", children: /* @__PURE__ */ jsxRuntimeExports.jsx(SelectValue, { placeholder: "Select Network" }) }),
            /* @__PURE__ */ jsxRuntimeExports.jsx(SelectContent, { className: "sm:w-[250px] w-[100%]", children: /* @__PURE__ */ jsxRuntimeExports.jsx(SelectGroup, { children: /* @__PURE__ */ jsxRuntimeExports.jsx(SelectItem, { "data-testid": "scheme-casper_staging_testnet", value: "casper_staging_testnet", children: "Casper" }) }) })
          ]
        }
      ),
      /* @__PURE__ */ jsxRuntimeExports.jsx(Title, { className: "mt-8", children: "Bootnodes" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx(Title, { titleType: "small", children: "Default" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "mb-8", children: selectedChainDefaultBn == null ? void 0 : selectedChainDefaultBn.map((bn) => /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "flex items-center mb-2 leading-4 wrap", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sm:w-11/12 w-1/2 overflow-hidden text-ellipsis whitespace-nowrap", children: bn }),
        /* @__PURE__ */ jsxRuntimeExports.jsx(
          Switch,
          {
            className: "w-1/2 sm:w-1/12",
            bootnode: bn,
            alterBootnodes,
            defaultBootnode: true,
            isChecked: defaultBn.map((d) => d.bootnode).includes(bn)
          }
        )
      ] })) }),
      /* @__PURE__ */ jsxRuntimeExports.jsx(Title, { titleType: "small", className: "text-accent", children: "Custom" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "mb-8", children: customBn.map((c) => /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "flex items-center mb-2 leading-4", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sm:w-11/12 w-1/2 overflow-hidden text-ellipsis whitespace-nowrap", children: c.bootnode }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "flex w-1/2 sm:w-1/12 ml-8", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
          Button,
          {
            variant: "secondary",
            className: "flex items-center text-white h-6 bg-red-600 rounded-full hover:bg-red-700",
            onClick: async () => {
              try {
                await saveToLocalStorage(
                  selectedChain,
                  c.bootnode,
                  false,
                  selectedChainDefaultBn
                );
              } catch (e) {
                console.log(e);
              }
              setCustomBn(customBn.filter((f) => f.bootnode !== c.bootnode));
            },
            children: /* @__PURE__ */ jsxRuntimeExports.jsx(MdDeleteOutline, { className: "text-lg" })
          }
        ) })
      ] })) }),
      /* @__PURE__ */ jsxRuntimeExports.jsx(Title, { children: "Add custom Bootnode" }),
      /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "flex flex-col", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "flex sm:flex-row flex-col gap-6 justify-between mb-4", children: [
          /* @__PURE__ */ jsxRuntimeExports.jsx(
            Input,
            {
              type: "text",
              placeholder: "Enter bootnode address",
              className: "sm:w-5/6 w-full",
              value: customBnInput,
              onChange: (v) => {
                addMessage && setAddMessage(void 0);
                setCustomBnInput(v.target.value);
              }
            }
          ),
          /* @__PURE__ */ jsxRuntimeExports.jsx(
            Button,
            {
              variant: "default",
              size: "full",
              className: "sm:w-1/6 w-full",
              disabled: !customBnInput,
              onClick: () => {
                if ((selectedChainDefaultBn == null ? void 0 : selectedChainDefaultBn.includes(customBnInput)) || customBn.map((c) => c.bootnode).includes(customBnInput)) {
                  setAddMessage({
                    error: true,
                    message: "Bootnode already exists in the list."
                  });
                } else {
                  alterBootnodes(
                    customBnInput,
                    true,
                    selectedChainDefaultBn == null ? void 0 : selectedChainDefaultBn.includes(customBnInput)
                  );
                }
              },
              children: "Add"
            }
          )
        ] }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("p", { className: bootnodeMsgClass, children: addMessage && Object.keys(addMessage) ? addMessage.message : "" })
      ] })
    ] })
  ] });
};
function BsThreeDots(props) {
  return GenIcon({ "attr": { "fill": "currentColor", "viewBox": "0 0 16 16" }, "child": [{ "tag": "path", "attr": { "d": "M3 9.5a1.5 1.5 0 1 1 0-3 1.5 1.5 0 0 1 0 3m5 0a1.5 1.5 0 1 1 0-3 1.5 1.5 0 0 1 0 3m5 0a1.5 1.5 0 1 1 0-3 1.5 1.5 0 0 1 0 3" }, "child": [] }] })(props);
}
const Title = ({
  children,
  titleType = "normal",
  showOptions = false,
  className = ""
}) => {
  const cName2 = className + (titleType === "small" ? " text-sm text-muted-foreground" : titleType === "large" ? " text-lg font-bold" : " text-base font-bold");
  return /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "flex justify-between mb-4 ".concat(cName2), children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "capitalize", children }),
    showOptions && /* @__PURE__ */ jsxRuntimeExports.jsx(BsThreeDots, { className: "cursor-pointer" })
  ] });
};
const Switch = ({
  bootnode,
  alterBootnodes,
  defaultBootnode,
  isChecked
}) => {
  const [checked, setChecked] = reactExports.useState(isChecked);
  reactExports.useEffect(() => {
    setChecked(isChecked);
  }, [isChecked]);
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "flex w-1/12 ml-8", children: /* @__PURE__ */ jsxRuntimeExports.jsxs("label", { className: "inline-flex relative items-center mr-5 cursor-pointer", children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx(
      "input",
      {
        type: "checkbox",
        className: "sr-only peer",
        checked,
        readOnly: true
      }
    ),
    /* @__PURE__ */ jsxRuntimeExports.jsx(
      "div",
      {
        onClick: () => {
          alterBootnodes(bootnode, !checked, defaultBootnode);
          setChecked(!checked);
        },
        className: "w-11 h-6 bg-background rounded-full peer peer-focus:ring-accent peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-0.5 after:left-[2px] after:bg-muted after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all peer-checked:bg-foreground"
      }
    )
  ] }) }, bootnode);
};
const NetworkContent = ({
  network,
  health,
  apps
}) => {
  var _a, _b;
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "w-full max-w-full", children: /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "grid grid-cols-2 gap-y-2", children: [
    /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "col-span-1 font-bold", children: "Latest block" }),
      ((_a = health == null ? void 0 : health.bestBlockHeight) == null ? void 0 : _a.toLocaleString("en-US")) ? /* @__PURE__ */ jsxRuntimeExports.jsx(
        "div",
        {
          className: "col-span-1 text-accent",
          "data-testid": `${network}-blockheight`,
          "data-blockheight": health == null ? void 0 : health.bestBlockHeight,
          children: (_b = health == null ? void 0 : health.bestBlockHeight) == null ? void 0 : _b.toLocaleString("en-US")
        }
      ) : /* @__PURE__ */ jsxRuntimeExports.jsx(Skeleton, { className: "w-16 h-full bg-background" })
    ] }),
    /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "col-span-1 font-bold", children: "Light Client" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "flex items-center col-span-1", children: (health == null ? void 0 : health.isSyncing) ? /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "animate-pulse text-accent", children: "Synchronizing" }) : "Synchronized" })
    ] }),
    /* @__PURE__ */ jsxRuntimeExports.jsx(Separator, { className: "col-span-2 my-2 border-accent" }),
    /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "col-span-1", children: "Network State" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "col-span-1 text-accent capitalize", children: health == null ? void 0 : health.status })
    ] }),
    /* @__PURE__ */ jsxRuntimeExports.jsx(Separator, { className: "col-span-2 my-2 border-accent" }),
    /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "col-span-1 font-bold", children: "Available Peers" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "col-span-1", children: health == null ? void 0 : health.peers })
    ] }),
    /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "col-span-1 font-bold", children: "Current Connections" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "col-span-1", children: apps.length })
    ] }),
    /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "col-span-1" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "col-span-1", children: apps.map((app) => /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "flex", children: app.url }, app.url)) })
    ] })
  ] }) });
};
const NetworkTab = ({
  name,
  isWellKnown,
  health,
  apps
}) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsxs(AccordionItem, { className: "bg-muted rounded px-4", value: name, children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx(AccordionTrigger, { children: /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "flex items-center space-x-2", children: /* @__PURE__ */ jsxRuntimeExports.jsx(IconWeb3, { isWellKnown, children: name }) }) }),
    /* @__PURE__ */ jsxRuntimeExports.jsx(AccordionContent, { children: /* @__PURE__ */ jsxRuntimeExports.jsx(NetworkContent, { health, apps, network: name }) })
  ] });
};
const item = [
  "group",
  "flex",
  "items-center",
  "text-base",
  "text-primary",
  "py-4",
  "px-6",
  "h-12",
  "overflow-hidden",
  "text-ellipsis",
  "whitespace-nowrap",
  "bg-background",
  "md:justify-start",
  "justify-center"
];
const itemInactive = [
  "bg-transparent",
  "transition",
  "duration-300",
  "ease-in-out"
];
const itemActive = [
  "cursor-default"
];
const title = ["ml-4 font-inter font-medium text-primary"];
const titleInactive = ["group-hover:text-accent"];
const titleActive = ["text-accent", "cursor-default"];
const icon = [
  "w-6",
  "h-6",
  "md:w-4",
  "md:h-4",
  "text-primary"
];
const iconInactive = ["group-hover:text-accent"];
const iconActive = ["cursor-default"];
const cName = (type, menu = 0, reqMenu) => {
  let classes = [];
  switch (type) {
    case "item":
      if (menu === reqMenu) {
        classes = [...item, ...itemActive];
      } else {
        classes = [...item, ...itemInactive];
      }
      break;
    case "title":
      if (menu === reqMenu) {
        classes = [...title, ...titleActive];
      } else {
        classes = [...title, ...titleInactive];
      }
      break;
    case "icon":
      if (menu === reqMenu) {
        classes = [...icon, ...iconActive];
      } else {
        classes = [...icon, ...iconInactive];
      }
      break;
  }
  return classes.join(" ");
};
const Networks = () => {
  const chains = useActiveChains();
  const networks = reactExports.useMemo(
    () => chains.map(({ chainName, isWellKnown, details }) => {
      return {
        isWellKnown,
        name: chainName,
        health: {
          isSyncing: details[0].isSyncing,
          peers: details[0].peers,
          status: "connected",
          bestBlockHeight: details[0].bestBlockHeight
        },
        apps: details.map(({ url }) => ({
          name: url ?? "",
          url
        }))
      };
    }),
    [chains]
  );
  return /* @__PURE__ */ jsxRuntimeExports.jsxs("section", { className: "container", children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx("h2", { className: "pb-2 space-y-2 text-3xl font-semibold md:pb-4", children: "Networks" }),
    networks.length ? /* @__PURE__ */ jsxRuntimeExports.jsx(Accordion, { type: "multiple", className: "w-full flex flex-col gap-4", children: networks.map(({ name, health, apps, isWellKnown }, i) => /* @__PURE__ */ jsxRuntimeExports.jsx(
      NetworkTab,
      {
        name,
        health,
        isWellKnown,
        apps
      },
      i
    )) }) : /* @__PURE__ */ jsxRuntimeExports.jsx("div", { children: "The extension isn't connected to any network." })
  ] });
};
const Options = () => {
  const [menu, setMenu] = reactExports.useState(0);
  const [showModal, setShowModal] = reactExports.useState(false);
  reactExports.useEffect(() => {
    var _a, _b;
    (_b = (_a = window.navigator) == null ? void 0 : _a.brave) == null ? void 0 : _b.isBrave().then(async (isBrave) => {
      const braveSetting = await get({ type: "braveSetting" });
      setShowModal(isBrave && !braveSetting);
    });
  }, []);
  return /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx(BraveModal, { show: showModal, isOptions: true }),
    /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "h-full flex", children: [
      /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "h-[full] bg-muted flex flex-col md:w-60 w-[100px]", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "md:px-6 md:pt-5 md:pb-2 p-2 pt-6", children: /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "flex items-center", children: /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "grow", children: /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "flex justify-center items-center", children: /* @__PURE__ */ jsxRuntimeExports.jsx(Logo, { cName: "md:w-[80%] cursor-pointer fill-primary hover:fill-accent w-full" }) }) }) }) }),
        /* @__PURE__ */ jsxRuntimeExports.jsxs("ul", { className: "relative pt-6", children: [
          /* @__PURE__ */ jsxRuntimeExports.jsx("li", { className: "relative", children: /* @__PURE__ */ jsxRuntimeExports.jsxs(Link, { to: "", className: cName("item", menu, 0), onClick: () => setMenu(0), children: [
            /* @__PURE__ */ jsxRuntimeExports.jsx(MdOutlineNetworkCell, { className: cName("icon", menu, 0) }),
            /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: `md:block hidden ${cName("title", menu, 0)}`, children: "Networks" })
          ] }) }),
          /* @__PURE__ */ jsxRuntimeExports.jsx("li", { className: "relative", children: /* @__PURE__ */ jsxRuntimeExports.jsxs(Link, { to: "", className: cName("item", menu, 1), onClick: () => setMenu(1), children: [
            /* @__PURE__ */ jsxRuntimeExports.jsx(MdOutlineOnlinePrediction, { className: cName("icon", menu, 1) }),
            /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: `md:block hidden ${cName("title", menu, 1)}`, children: "Bootnodes" })
          ] }) })
        ] }),
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "w-full text-center flex-grow flex flex-col justify-end", children: [
          /* @__PURE__ */ jsxRuntimeExports.jsx("hr", { className: "m-0" }),
          /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "block float-left px-6 py-4 cursor-pointer", children: /* @__PURE__ */ jsxRuntimeExports.jsxs(
            Link,
            {
              rel: "noreferrer",
              to: "https://git.ghostchain.io/ghostchain/ghost-extension-wallet",
              target: "_blank",
              className: "flex md:flex-row flex-col gap-4 items-center",
              children: [
                /* @__PURE__ */ jsxRuntimeExports.jsx(FaGithub, { className: "w-8 h-8" }),
                /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "block float-left text-xs text-left", children: [
                  /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "md:block hidden text-primary", children: "Ghost Wallet Git" }),
                  /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "text-accent", children: [
                    "v ",
                    pckg.version
                  ] })
                ] })
              ]
            }
          ) })
        ] })
      ] }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "w-[calc(100%-15rem)] h-[100vh] overflow-auto grow flex-grow", children: /* @__PURE__ */ jsxRuntimeExports.jsx(MenuContent, { children: menu === 0 ? /* @__PURE__ */ jsxRuntimeExports.jsx(Networks, {}) : menu === 1 ? /* @__PURE__ */ jsxRuntimeExports.jsx(Bootnodes, {}) : null }) })
    ] })
  ] });
};
export {
  Options
};
